import { Novu, ProvidersIdEnum } from '@novu/node';
const novu = new Novu('<NOVU_API_KEY>');
const updatePayload = {
name: "SendGrid",
identifier: "sendgrid-identifier",
credentials: {
apiKey: "SUPER_SECRET_API_KEY",
from: "no-reply@novu.co",
senderName: "Novu Team"
// ... other credentials as per provider
},
active: true,
check: false
}
await novu.integrations.getWebhookProviderStatus(ProvidersIdEnum.SendGrid, updatePayload);
// Get integrations
use Novu\SDK\Novu;
$novu = new Novu(<NOVU_API_KEY>);
$novu->updateIntegration($integrationId, [
'active' => true,
'credentials' => [
// insert all the fields
],
'check' => true
])->toArray();
require 'novu'
client = Novu::Client.new('<NOVU_API_KEY>')
body = {
'active' => true,
'check' => true
'credentials' => {
# insert all the fields
},
}
client.update_integration('<insert-provider-id>', body)
from novu.api import IntegrationApi
url = "https://api.novu.co"
api_key = "<NOVU_API_KEY>"
novu = IntegrationApi(url, api_key).update(
integration="<The instance of the integration to update>",
)
import co.novu.sdk.Novu;
public class Main {
public static void main(String[] args) {
String apiKey = "<NOVU_API_KEY>";
Novu novu = new Novu(apiKey);
novu.updateIntegration(integrationId, body);
}
}
{
"data": {
"_id": "string",
"_environmentId": "string",
"_organizationId": "string",
"name": "string",
"identifier": "string",
"providerId": "string",
"channel": "in_app",
"credentials": {
"apiKey": "string",
"user": "string",
"secretKey": "string",
"domain": "string",
"password": "string",
"host": "string",
"port": "string",
"secure": true,
"region": "string",
"accountSid": "string",
"messageProfileId": "string",
"token": "string",
"from": "string",
"senderName": "string",
"projectName": "string",
"applicationId": "string",
"clientId": "string",
"requireTls": true,
"ignoreTls": true,
"tlsOptions": {},
"baseUrl": "string",
"webhookUrl": "string",
"redirectUrl": "string",
"hmac": true,
"serviceAccount": "string",
"ipPoolName": "string"
},
"active": true,
"deleted": true,
"deletedAt": "string",
"deletedBy": "string",
"primary": true
}
}
Integrations
Update an integration
Update an integration by its unique key identifier integrationId. Each provider supports different credentials, check the provider documentation for more details. Only integration metadata is returned, credentials field is returned as an empty object.
PUT
/
v1
/
integrations
/
{integrationId}
import { Novu, ProvidersIdEnum } from '@novu/node';
const novu = new Novu('<NOVU_API_KEY>');
const updatePayload = {
name: "SendGrid",
identifier: "sendgrid-identifier",
credentials: {
apiKey: "SUPER_SECRET_API_KEY",
from: "no-reply@novu.co",
senderName: "Novu Team"
// ... other credentials as per provider
},
active: true,
check: false
}
await novu.integrations.getWebhookProviderStatus(ProvidersIdEnum.SendGrid, updatePayload);
// Get integrations
use Novu\SDK\Novu;
$novu = new Novu(<NOVU_API_KEY>);
$novu->updateIntegration($integrationId, [
'active' => true,
'credentials' => [
// insert all the fields
],
'check' => true
])->toArray();
require 'novu'
client = Novu::Client.new('<NOVU_API_KEY>')
body = {
'active' => true,
'check' => true
'credentials' => {
# insert all the fields
},
}
client.update_integration('<insert-provider-id>', body)
from novu.api import IntegrationApi
url = "https://api.novu.co"
api_key = "<NOVU_API_KEY>"
novu = IntegrationApi(url, api_key).update(
integration="<The instance of the integration to update>",
)
import co.novu.sdk.Novu;
public class Main {
public static void main(String[] args) {
String apiKey = "<NOVU_API_KEY>";
Novu novu = new Novu(apiKey);
novu.updateIntegration(integrationId, body);
}
}
{
"data": {
"_id": "string",
"_environmentId": "string",
"_organizationId": "string",
"name": "string",
"identifier": "string",
"providerId": "string",
"channel": "in_app",
"credentials": {
"apiKey": "string",
"user": "string",
"secretKey": "string",
"domain": "string",
"password": "string",
"host": "string",
"port": "string",
"secure": true,
"region": "string",
"accountSid": "string",
"messageProfileId": "string",
"token": "string",
"from": "string",
"senderName": "string",
"projectName": "string",
"applicationId": "string",
"clientId": "string",
"requireTls": true,
"ignoreTls": true,
"tlsOptions": {},
"baseUrl": "string",
"webhookUrl": "string",
"redirectUrl": "string",
"hmac": true,
"serviceAccount": "string",
"ipPoolName": "string"
},
"active": true,
"deleted": true,
"deletedAt": "string",
"deletedBy": "string",
"primary": true
}
}
Enter your API key in the
Authorization field like the example shown below:E.g ApiKey 18d2e625f05d80eimport { Novu, ProvidersIdEnum } from '@novu/node';
const novu = new Novu('<NOVU_API_KEY>');
const updatePayload = {
name: "SendGrid",
identifier: "sendgrid-identifier",
credentials: {
apiKey: "SUPER_SECRET_API_KEY",
from: "no-reply@novu.co",
senderName: "Novu Team"
// ... other credentials as per provider
},
active: true,
check: false
}
await novu.integrations.getWebhookProviderStatus(ProvidersIdEnum.SendGrid, updatePayload);
// Get integrations
use Novu\SDK\Novu;
$novu = new Novu(<NOVU_API_KEY>);
$novu->updateIntegration($integrationId, [
'active' => true,
'credentials' => [
// insert all the fields
],
'check' => true
])->toArray();
require 'novu'
client = Novu::Client.new('<NOVU_API_KEY>')
body = {
'active' => true,
'check' => true
'credentials' => {
# insert all the fields
},
}
client.update_integration('<insert-provider-id>', body)
from novu.api import IntegrationApi
url = "https://api.novu.co"
api_key = "<NOVU_API_KEY>"
novu = IntegrationApi(url, api_key).update(
integration="<The instance of the integration to update>",
)
import co.novu.sdk.Novu;
public class Main {
public static void main(String[] args) {
String apiKey = "<NOVU_API_KEY>";
Novu novu = new Novu(apiKey);
novu.updateIntegration(integrationId, body);
}
}
{
"data": {
"_id": "string",
"_environmentId": "string",
"_organizationId": "string",
"name": "string",
"identifier": "string",
"providerId": "string",
"channel": "in_app",
"credentials": {
"apiKey": "string",
"user": "string",
"secretKey": "string",
"domain": "string",
"password": "string",
"host": "string",
"port": "string",
"secure": true,
"region": "string",
"accountSid": "string",
"messageProfileId": "string",
"token": "string",
"from": "string",
"senderName": "string",
"projectName": "string",
"applicationId": "string",
"clientId": "string",
"requireTls": true,
"ignoreTls": true,
"tlsOptions": {},
"baseUrl": "string",
"webhookUrl": "string",
"redirectUrl": "string",
"hmac": true,
"serviceAccount": "string",
"ipPoolName": "string"
},
"active": true,
"deleted": true,
"deletedAt": "string",
"deletedBy": "string",
"primary": true
}
}
Authorizations
API key authentication. Allowed headers-- "Authorization: ApiKey <api_key>".
Path Parameters
Body
application/json
Response
Ok
Available options:
in_app, email, sms, chat, push Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I